Moving Objects

#### Search Results

Search

# Moving Objects

The Move function is used to transfer an object from a source environment to a target environment. The object is deleted from the source environment and added to the target environment. If the target environment already contains an object with the same name as the object to be moved, you can specify whether you overwrite the object in the target environment or give the copied object a new name.

This section provides instructions for specifying move options in the Object Maintenance - Move dialog box.

To move objects

1. In the Source group box, specify the object(s) you want to move:

   - In the Library list box, enter the name of the source library that contains the object(s) you want to move or select a library from the drop-down list. The default is the current library. The Library list box does not apply to DDMs (data definition modules) in a remote z/OS environment. Therefore, the box disappears when the Views (DDM) check box is selected.

   - In the DBID (database ID) and FNR (file number) boxes, replace the values if the source library is not in the current system file. The default is the current FNAT or FUSER, or FDIC for DDMs on z/OS. In a remote environment, you can specify security information for these files as described in File Security for Remote Environments.

   - In a remote environment, use the FSEC/FDIC button if you want to specify security information for the system file FSEC or FDIC for XRef data; see File Security for Remote Environments and XRef Considerations.

   - In the Name box, enter the name of a single object or specify a range of names; see Specifying a Range of Names. The default is asterisk (*), indicating all objects.

   - In the Type group box, select the type(s) of object by choosing one of the following options:

     Select Programming (default) for all types of object (including program and subprogram) except DDM. You can limit the types of object by choosing Object Types and selecting or deselecting the required item(s) from the list provided:

     - To select list items:

       Click on a single item.

       Or:
       Press UP ARROW or DOWN ARROW to go to and select the required item.

       Or:
       Press and hold down CTRL or SHIFT and click on multiple non-consecutive or consecutive items respectively.

       Or:
       Press SHIFT+UP ARROW or SHIFT+DOWN ARROW to select multiple consecutive items.

       Or:
       Choose Select All to select all items.

     - To deselect list items:

       Press and hold down CTRL and click on a selected item again.

       Or:
       Choose Deselect All if all items have been selected.

     Or:
     Select Views (DDM) for DDMs only.

   - In the Code group box, select Source and/or Cataloged to move either the source object or the cataloged object, or both. The default is both the source object and the cataloged object.

     If Predict is installed, you can select the XREF check box to process XRef data. See also the section XRef Considerations.

   - In the User ID box, enter the ID of a user if you want to move only the objects that were last saved or cataloged by this user. The default is no user ID.

   - In the Date box, enter a start date to move only objects that were saved or cataloged on or after this date. A date must be entered in the format associated with the preset value in the Date box. This value is determined by the `DTFORM` profile parameter described in the Parameter Reference documentation. The default date is `0000.00.00` (no date). The date is given in the format YYYY.MM.DD (YYYY = year, MM = month, DD = day).

     If you have specified a date, you can enter a start time in the Time box to move only objects that were saved or cataloged at or after this date and time. The default time is `00:00` (no time). The time is given in the format HH:II (HH = hours, II = minutes).

2. In the Target group box, specify the target environment for the object(s) selected for processing:

   - In the Library list box, enter the name of the target library where you want to place the object(s) or select a library from the drop-down list. The default is the current library. If you want to create a library, enter the name of a new library.

     The Library list box does not apply to DDMs (data definition modules) in a remote z/OS environment. Therefore, the box disappears when the Views (DDM) check box is selected.

   - In the DBID (database ID) and FNR (file number) boxes, replace the values if the target library is not in the current system file. The default is the current FNAT or FUSER, or FDIC for DDMs on z/OS. In a remote environment, you can specify security information for these files as described in File Security for Remote Environments.

   - In a remote environment, use the FSEC/FDIC button if you want to specify security information for the system file FSEC or FDIC for XRef data; see File Security for Remote Environments and XRef Considerations.

   - In the Name box, you can enter a new name for the object in the target environment or specify a range of new names by using asterisk (*) notation; see Specifying a Range of Names. The default asterisk (*) specifies that all objects contained in the target environment are replaced if relevant.

   - Use the Confirm on replace check box to confirm (default) or reject object replacement. See also Confirm on replace below.

   - Select the Rename check box (selected by default) to give the moved objects new names in the target environment. The check box is dimmed for DDMs in a remote z/OS environment where you cannot rename DDMs. See also Rename below.

3. Choose OK when you have finished specifying the source and target environments.

   If you have entered a single name in the Name box of the Source group box, skip the following instructions and proceed with Confirm on replace in Step 5.

   If you have specified a range of names in the Name box of the Source group box, an additional dialog box similar to the example below appears with a list of all matching objects:

   The dialog box shows the library locations, the number of objects found and the object names and types. It also indicates whether a source (`S`) and/or a cataloged (`C`) object exists and the ID of the user who saved and/or cataloged an object.

4. Select or deselect single or multiple objects by proceeding as described in To select/deselect list items.

5. Choose Move to process the selected object(s).

   (Cancel exits the dialog box without any action.)

   - If the Rename check box has been selected, an additional dialog box similar to the following example appears that displays, one after the other, each object to be moved. (No additional dialog box appears if a single name, rather than a range, is entered in the Name box of the Source group box.)

     Choose one of the following options: In the Object box of the current object, enter a new name for the object in the target environment. Choose OK to confirm the rename.

     Or:
     Choose Skip (or ALT+S) if you want to remove the current object from the list of selected objects and proceed with the next object.

     Or:
     Choose Close to exit the dialog box without any action.

   - If the Confirm on replace check box has been selected and if the target environment already contains an object with the same name as the object to be moved, an additional dialog box appears with a warning message.

     Confirm or reject object replacement by choosing one of the following buttons:

     Yes to confirm each object replacement individually one after another.

     Or:
     Yes to All to confirm all object replacements in one go.

     Or:
     No to not replace the current object.

     Or:
     Cancel to exit the dialog box without any action.

6. After all objects have been moved, the Object Maintenance - Move dialog box is closed and the Object Maintenance menu appears.